Subject: Re: Lack of outgoing label was Re: (Reply)

From: Mahadevan Iyer <[email-masked]>
Date: Wed, 13 Dec 2000 20:47:37 -0800 (PST)

> C. Customer C connects to provider P in multiple
> access points
> all managed by provider P. Provider P runs MPLS/RSVP
> TE in the 
> core and maintains PE to PE LDP relationship which
> is tunneled 
> through the core LSP mesh. Including the VPN label
> header, the 
> stack is 3 labels deep at this point. Provider P
> marks packets
> on ingress from customer C and pushes the stack. So,
> a re-write 
> must occur to the top-most label in the stack or
> even every 
> label in the stack.
> 
> I do not see a problem with re-writes occuring
> between the 
> levels of the LSP hierarchy, in fact, I do not see
> an 
> alternative for the case described above.

Question ...

Are you suggesting that the EXP bits will be copied
onto the labels for the inner mesh (concept of a
passenger VPN)?
Maybe you are not, in which case you can ignore the
following comment.

Comment ...

I would think that there would have to be decision to
be made on the ingress of the mesh LSP when generating
the exp values, it cannot be a simple copy. 
The decision would be based on the mapping specified
at setup time(Outer E-LSP exp bits to inner E-LSP exp
bits, etc.)

Thanks

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/